Create a Shipment

Create a new shipment.

Required authorization scope: public.shipment:write and public.label:write if a label is requested during the request.

Select a courier

If you use our Rates API, you can define a courier ID to assign a courier to the shipment using courier_service_id. If you skip courier ID, we will return a list of all possible rates to your new shipment and assign the best value for money courier.

Calculate dimensions and total weight

You can calculate dimensions and total weight of your shipment in three ways:

  • Provide total_actual_weight and box objects for the shipment.
  • Specify actual_weight and dimensions for each item of the items object: in this case, total weight and box size will be calculated automatically.
  • Specify sku for each item of the items object: in this case, actual weight and dimensions for calculations will be taken as set for the product.
Body Params
origin_address
object

Origin Address

uuid

ID of origin address. Required if the origin_address object is not provided. If provided, the origin address will be ignored.

sender_address
object

Sender Address. Only applies if the courier allows a different address to be displayed on the label. If not specified, the origin address is used by default.

uuid

ID of sender address. Required if the sender_address object is not provided.

return_address
object

Return Address. If not specified, the origin address is used by default.

uuid

ID of return address. Required if the return_address object is not provided.

destination_address
object
boolean

Set the shipment as a return shipment

metadata
object

Set of key-value pairs that you can attach to a shipment. This can be useful for storing additional information about the object in a structured format

boolean

US addresses will be automatically validated when not specified. If specified, the validation will be bypassed.

string

The consignee's tax identification number or EIN. This is required for customs clearance when shipping to certain countries, such as China and Brazil.

string

The Electronic Export Identifier (EEI). This is required when shipping goods over USD2500 in value (Applies to US-outbound shipments only).

regulatory_identifiers
object

Seller's identifiers for various tax, import and export regulations.

buyer_regulatory_identifiers
object

Buyer's identifiers for various tax, import and export regulations.

string | null
enum
Defaults to DDU

Terms of Sale DDP: Seller pays all import duties/taxes. DDU: Buyer pays all import duties/taxes. null: No incoterm specified; defaults to DDU.

Allowed:
insurance
object | null

Insurance

order_data
object

Free-form data related to the eCommerce platform

courier_settings
object
shipping_settings
object
parcels
array of objects
required

Parcels

parcels*
Responses

Language
Credentials
Bearer
token
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json